require "ISUI/ISLayoutManager"

SSUHotKey = {}

SSUHotKey.setKeybinds = function()
	bind = {};
	bind.value = "[SSU]";
	table.insert(keyBinding, bind);
	bind = {};
	bind.value = "SSUToggle";
	bind.key = Keyboard.KEY_F9;
	table.insert(keyBinding, bind);
end

-- Don't check for press until game start so that main menu operation isn't affected
SSUHotKey.startCheckPress = function()
	Events.OnKeyPressed.Add(SSUHotKey.checkPress);
end

SSUHotKey.checkPress = function(SSUKeyPress)
	if SSUKeyPress == getCore():getKey("SSUToggle") then
		if SSUTab.resizable == true then
			SSUTab:setVisible(false);
			SSUTab.resizable = false;
		else
			SSUTab:setVisible(true);
			SSUTab.resizable = true;
		end;
	end;
end

Events.OnGameStart.Add(SSUHotKey.startCheckPress);
Events.OnGameBoot.Add(SSUHotKey.setKeybinds);
