SSUTab = ISCollapsableWindow:derive("SSUTab");
function SSUTab:initialise()
	ISCollapsableWindow.initialise(self);
end

function DrawSSUTab()
	SSUTab = SSUTab:new(1700, 950, 220, 130)
	SSUTab:addToUIManager();
	SSUTab.pin = true;
	SSUTab.resizable = true;
	SSUTab:setVisible(true);
--	SSUStart.drawText();
end

function SSUTab:new(x, y, w, h)
	local stats = {};
	stats = ISCollapsableWindow:new(x, y, w, h);
	setmetatable(stats, self);
	self.__index = self;
	stats.title = "Show Skill Up";
	stats.pin = true;
	stats:noBackground();
	return stats;
end

function SSUTab:createChildren()
	ISCollapsableWindow.createChildren(self);
	self.HomeWindow = ISRichTextPanel:new(0, 16, 220, 130);
	self.HomeWindow:initialise();
	self.HomeWindow.autosetheight = true;
	self:addChild(self.HomeWindow);
	SSUtext1 = "F9 to toggle"; 
	SSUTab.HomeWindow.text = SSUtext1;
	SSUTab.HomeWindow:paginate();
end

Events.OnGameStart.Add(DrawSSUTab);

